--- forms.css	2007-01-22 22:57:28.000000000 +0800
+++ forms.css.new	2007-01-22 23:11:43.000000000 +0800
@@ -528,6 +528,114 @@
   input[type="file"] { height: 2em; }
 }
 
+/* Font Setting */
+
+html button, 
+html select,
+html option,
+html input,
+html textarea {
+	font-family: 'Lucida Grande', sans-serif;
+	font-size: small; /* If you prefer fixed size font, use "13px" or something instead of "small". */
+}
+
+
+/* Text Color Setting */
+
+html select,
+html option, 
+html input,
+html textarea {
+	color: -moz-FieldText; /*Hiro*/
+	background-color: -moz-Field; /*Hiro*/
+}
+
+html input[type="file"],
+html input[type="reset"],
+html input[type="submit"] { 
+	color: ButtonText !important;
+}
+
+html button, 
+html input[type="button"] { 
+	color: ButtonText;
+}
+
+/* Buttons */
+html input[type="reset"],
+html input[type="submit"],
+html input[type="file"] > input[type="button"] {
+	background-color: ThreeDFace !important;
+	background-image: url("resource://gre/res/button_bg.png") !important;
+	background-repeat: repeat-x !important;
+	background-position: 50% 50% !important;
+	text-indent: 0 !important;
+	padding: 0 2px !important; /*Hiro*/
+	margin: 2px; /*Hiro*/
+	border: 2px solid !important;
+	-moz-border-top-colors: #777 ThreeDHighlight;
+	-moz-border-right-colors: #999 ThreeDShadow;
+	-moz-border-bottom-colors: #999 ThreeDShadow;
+	-moz-border-left-colors: #777 ThreeDHighlight;
+	-moz-border-radius: 0 !important; /*Hiro*/
+	font-family: 'Lucida Grande', sans-serif; /*Hiro*/
+	letter-spacing: 0 !important;
+}
+html button,
+html input[type="button"] {
+	background-color: ThreeDFace;
+	background-image: url("resource://gre/res/button_bg.png");
+	background-repeat: repeat-x;
+	background-position: 50% 50%;
+	text-indent: 0;
+	padding: 0 2px; /*Hiro*/
+	margin: 2px; /*Hiro*/
+	border: 2px solid;
+	-moz-border-top-colors: #777 ThreeDHighlight;
+	-moz-border-right-colors: #999 ThreeDShadow;
+	-moz-border-bottom-colors: #999 ThreeDShadow;
+	-moz-border-left-colors: #777 ThreeDHighlight;
+	-moz-border-radius: 0;
+	font-family: 'Lucida Grande', sans-serif; /*Hiro*/
+	letter-spacing: 0;
+}
+
+html input[type="reset"]:focus,
+html input[type="submit"]:focus {
+	/*border: 2px solid !important;
+	-moz-border-top-colors: #777 -moz-mac-focusring;
+	-moz-border-right-colors: #999 -moz-mac-focusring;
+	-moz-border-bottom-colors: #999 -moz-mac-focusring;
+	-moz-border-left-colors: #777 -moz-mac-focusring;*/
+	-moz-border-radius: 0 !important; /*Hiro*/
+}
+html button:focus,
+html input[type="button"]:focus {
+	-moz-border-radius: 0; /*Hiro*/
+}
+
+html input[type="reset"]:hover:active,
+html input[type="submit"]:hover:active {
+	background: #d3d7ef url("resource://gre/res/button_bg_focus.png") repeat-x 50% 50% !important;
+	border: 2px solid;
+	-moz-border-top-colors: #777 -moz-mac-focusring;
+	-moz-border-right-colors: #999 -moz-mac-focusring;
+	-moz-border-bottom-colors: #999 -moz-mac-focusring;
+	-moz-border-left-colors: #777 -moz-mac-focusring;
+	-moz-border-radius: 0px !important; /*Hiro*/
+}
+html button:hover:active,
+html input[type="button"]:hover:active {
+	/*background: #d3d7ef url("resource://gre/res/button_bg_focus.png") repeat-x 50% 50%;*/
+	border: 2px solid;
+	-moz-border-top-colors: #777;
+	-moz-border-right-colors: ThreeDFace;
+	-moz-border-bottom-colors: ThreeDFace;
+	-moz-border-left-colors: #777;
+	-moz-border-radius: 0px; /*Hiro*/
+	padding: 0 2px; /*Hiro*/
+}
+
 
 /* makes sure enabled and disabled input and text area fields are drawn */
 input,
